Skip to main content
POST
/
applications
Create application
curl --request POST \
  --url https://cloud.laravel.com/api/applications \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "repository": "<string>",
  "name": "<string>",
  "cluster_id": "<string>"
}
'
import requests

url = "https://cloud.laravel.com/api/applications"

payload = {
"repository": "<string>",
"name": "<string>",
"cluster_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({repository: '<string>', name: '<string>', cluster_id: '<string>'})
};

fetch('https://cloud.laravel.com/api/applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "type": "applications",
    "attributes": {
      "name": "<string>",
      "slug": "<string>",
      "slack_channel": "<string>",
      "avatar_url": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "repository": {
        "full_name": "<string>",
        "default_branch": "<string>"
      }
    },
    "relationships": {
      "repository": {
        "data": {
          "type": "repositories",
          "id": "<string>"
        }
      },
      "organization": {
        "data": {
          "type": "organizations",
          "id": "<string>"
        }
      },
      "environments": {
        "data": [
          {
            "type": "environments",
            "id": "<string>"
          }
        ]
      },
      "deployments": {
        "data": [
          {
            "type": "deployments",
            "id": "<string>"
          }
        ]
      },
      "defaultEnvironment": {
        "data": {
          "type": "environments",
          "id": "<string>"
        }
      }
    }
  },
  "included": [
    {
      "id": "<string>",
      "type": "repositories",
      "attributes": {
        "name": "<string>"
      }
    }
  ]
}
{
"message": ""
}
{
"message": "<string>",
"errors": {}
}

Authorizations

Authorization
string
header
required

The Bearer Token generated on the Cloud UI.

Body

application/json
repository
string
required
name
string
required
Required string length: 3 - 40
Pattern: ^[\p{Latin}0-9 _.,'\-&()!#+:@]+$
region
enum<string>
required
Available options:
us-east-2,
us-east-1,
ca-central-1,
eu-central-1,
eu-west-1,
eu-west-2,
me-central-1,
ap-southeast-1,
ap-southeast-2,
ap-northeast-1
source_control_provider_type
enum<string>

The source control provider. This parameter will be required starting March 9, 2026.

Available options:
github,
gitlab,
bitbucket
cluster_id
string | null

The identifier of a dedicated cluster to deploy to. Only fill it if your organization has a dedicated cluster and you want to use it for this application.

Response

ApplicationResource

data
ApplicationResource · object
required
included
(RepositoryResource · object | OrganizationResource · object | EnvironmentResource · object | DeploymentResource · object)[]